<script setup lang="ts">
import { nextTick, ref } from "vue";
import Graph from "graphology";
import Sigma from "sigma";

const container = ref();
const graph = new Graph();
let renderer: Sigma;
nextTick(() => {
  renderer = new Sigma(graph, container.value as HTMLElement);
  renderer.on("clickStage", ({ event }) => {
    graph.addNode("Hey dud", {
      size: 8,
      color: "black",
      label: "Hey dud",
      x: 5,
      y: 5,
    });
  });
});

graph.addNode("John", { x: 0, y: 10, size: 5, label: "John", color: "blue" });
graph.addNode("Mary", { x: 10, y: 0, size: 3, label: "Mary", color: "red" });
graph.addEdge("John", "Mary");

// to check https://codesandbox.io/s/github/jacomyal/sigma.js/tree/main/examples/mouse-manipulations
// doc https://github.com/jacomyal/sigma.js/blob/main/README.md
// page from https://github.com/SOVLOOKUP/sigma-vue3/blob/master/src/App.vue
</script>

<template>
  <div ref="container" id="container" class="border rounded-xl"></div>
</template>

<style scoped>
#container {
  /*position: fixed;*/
  width: 500px;
  height: 350px;
}
</style>
